STOFFChart::TextZone Struct Reference documentation

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
STOFFChart::TextZone Struct Reference

a text zone a chart More...

`#include <STOFFChart.hxx>`

## Public Types
enum | Type { T_Title, T_SubTitle, T_AxisX, T_AxisY, T_AxisZ }
| the text type More...
enum | ContentType { C_Cell, C_Text }
| the text content type More...

## Public Member Functions
| TextZone ()
| constructor More...
| ~TextZone ()
| destructor More...
void | addContentTo (librevenge::RVNGString const &sheetName, librevenge::RVNGPropertyList &propList) const
| add content to the propList More...
void | addStyleTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...

## Public Attributes
Type | m_type
| the zone type More...
ContentType | m_contentType
| the content type More...
STOFFVec2f | m_position
| the position in the zone More...
STOFFVec2i | m_cell
| the cell position ( for title and subtitle ) More...
STOFFEntry | m_textEntry
| the text entry More...
STOFFFont | m_font
| the zone format More...

## Friends
std::ostream & | operator<< (std::ostream &o, TextZone const &zone)
| operator<< More...

## Detailed Description

a text zone a chart

## Member Enumeration Documentation

## ◆ ContentType

enum STOFFChart::TextZone::ContentType

the text content type

Enumerator
C_Cell |
C_Text |

## ◆ Type

enum STOFFChart::TextZone::Type

the text type

Enumerator
T_Title |
T_SubTitle |
T_AxisX |
T_AxisY |
T_AxisZ |

## Constructor & Destructor Documentation

## ◆ TextZone()

STOFFChart::TextZone::TextZone | ( |  | ) |

constructor

## ◆ ~TextZone()

STOFFChart::TextZone::~TextZone | ( |  | ) |

destructor

## Member Function Documentation

## ◆ addContentTo()

void STOFFChart::TextZone::addContentTo | ( | librevenge::RVNGString const & | sheetName,
|  | librevenge::RVNGPropertyList & | propList
| ) |  | const

add content to the propList

Referenced by STOFFChart::sendChart().

## ◆ addStyleTo()

void STOFFChart::TextZone::addStyleTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

Referenced by STOFFChart::sendChart().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFChart::TextZone const & | zone
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_cell

STOFFVec2i STOFFChart::TextZone::m_cell

the cell position ( for title and subtitle )

Referenced by addContentTo(), and operator<<().

## ◆ m_contentType

ContentType STOFFChart::TextZone::m_contentType

the content type

Referenced by addContentTo(), operator<<(), and STOFFChart::sendChart().

## ◆ m_font

STOFFFont STOFFChart::TextZone::m_font

the zone format

Referenced by addStyleTo().

## ◆ m_position

STOFFVec2f STOFFChart::TextZone::m_position

the position in the zone

Referenced by addContentTo(), and operator<<().

## ◆ m_textEntry

STOFFEntry STOFFChart::TextZone::m_textEntry

the text entry

## ◆ m_type

Type STOFFChart::TextZone::m_type

the zone type

Referenced by STOFFChart::add(), addContentTo(), operator<<(), and STOFFChart::sendChart().

The documentation for this struct was generated from the following files:

- STOFFChart.hxx
- STOFFChart.cxx